/* === FUNCTIONS PROTOTYPE ==== */
int  ox822_init (int);
int  ox822_setup (int, char *);
int  ox822_display (int);
int  ox822_channel (int, int, int, int);
int  ox822_timebase (int, int, int);
int  ox822_trigger (int, int, int, int, int);
int  ox822_close (void);

/* === CONSTANTS DECLARATION ==== */
#define OX822_RANGE_CH1         0x70
#define OX822_RANGE_CH2         0x71
#define OX822_RANGE_TIME_BASE   0x72
#define OX822_TIME_BASE_DELAY   0x73
#define OX822_VERTICAL_MODE     0x74
#define OX822_TB_DELAY          0x75
#define OX822_TRIGGER_SOURCE    0x78
#define OX822_TRIGGER_COUPLING  0x79
#define OX822_COUPLING_CH1      0x7a
#define OX822_COUPLING_CH2      0x7c
#define OX822_DIFF_CH1		    0xa5
#define OX822_DIFF_CH2      	0xa6
#define OX822_TRIGGER_PTP       0x80
#define OX822_EXP10             0x81
#define OX822_TRIGGER_SLOPE     0x82
#define OX822_TRIGGER_AUTO      0x83
#define OX822_READ_SETUP        0x86
#define OX822_ASK_ECHO          0x8a
#define OX822_REMOTE			0x99
#define OX822_INIT				0x99
